Error
A valid request URL is required to generate request examples{
"subscriptionId": "68bbe3343faf938adbc22ba8",
"externalUserId": "abcd123",
"planCode": "68b74fd80e51671c21e46913",
"startDate": "2025-09-06T07:31:00.000Z",
"endDate": "2025-10-06T07:31:00.000Z",
"status": "cancelled"
}
Subscriptions
Delete Subscription
Cancels (deletes) a subscription by subscriptionId and returns the updated subscription record.
DELETE
/
subscriptions
Delete Subscription
curl --request DELETE \
--url {scheme}://{domain}/api/v1/aggregator/subscriptions \
--header 'x-api-key: <api-key>'import requests
url = "{scheme}://{domain}/api/v1/aggregator/subscriptions"
headers = {"x-api-key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};
fetch('{scheme}://{domain}/api/v1/aggregator/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"subscriptionId": "68bbe3343faf938adbc22ba8",
"externalUserId": "abcd123",
"planCode": "68b74fd80e51671c21e46913",
"startDate": "2025-09-06T07:31:00.000Z",
"endDate": "2025-10-06T07:31:00.000Z",
"status": "cancelled"
}
Authorizations
Query Parameters
The subscriptionId to cancel.
Response
Deleted (cancelled) successfully
Available options:
completed, pending, cancelled, expired Available options:
web_browser, android_phone, ios_phone, android_tablet, ios_tablet, android_tv, smart_tv, roku, fire_tv, apple_tv, jio_stb, other 
